Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

agentId
string<uuid>
required

Unique identifier of the agent to execute

Body

application/json

Input values for agent execution, keyed by name and sent to the agent as its first message

inputs
object
required

Input values for agent execution. Each key and value is sent to the agent in its first message.

attachments
object[]

Optional array of file attachments to include with the agent execution

Response

Successful response

The complete result, or with 202 Accepted, where to find the result of a run that is still going

finalAssistantMessage
string
required

The final text response from the assistant

allToolCallsMade
object[]
required

All tool calls made during the agent run

allToolResultsReceived
object[]
required

All tool results received during the agent run

messages
object[]
required

Complete message history from the agent run

structuredOutputResult

Structured output generated after the run, if available